<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	if($game==0 OR $level==0 OR $ban!=0)
{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
}else{
	$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
	$f = mysql_fetch_array($q);
		switch ($act) {
	default:
			if($fr!=0){
	echo '<div class="top"><img src="../images/fr.png" alt="" /> Фракция <u>'.$f['name'].'</u></div>';
	if($f['maxnum']>$f['num']){
	echo '<div class="conts">Вы приняли приглашение и вошли в состав фракции <a href="fraction.php?f='.$fr.'">'.$fr_name.'</a></div>';
	mysql_query("UPDATE `fractions` SET `num`=num+1 WHERE `id`='".$fr."';");
	mysql_query("INSERT INTO `fractions_users` SET
			            `uid`='" . mysql_real_escape_string($use_id) . "',
						`fid`='" . mysql_real_escape_string($fr) . "',
						`adm`=0,
						`time`='" . time() . "';");
	mysql_query("UPDATE `users` SET `fr`=0, `fr_id`='".$fr."' WHERE `id` = '".$use_id."'");
	mysql_query("UPDATE `planet` SET `fr_id`='".$fr."' WHERE `uid` = '".$use_id."'");
	mysql_query("UPDATE `army` SET `fr_id`='".$fr."' WHERE `uid` = '".$use_id."'");	
	mysql_query("UPDATE `sosed` SET `fr_id`='".$fr."' WHERE `uid2` = '".$use_id."'");	
	mysql_query("UPDATE `sector_loc` SET `fr_id`='".$fr."' WHERE `uid` = '".$use_id."'");	
	$PAGINGS1 = mysql_query("SELECT * FROM `war` WHERE `uid1`='".$use_id."' OR `uid2`='".$use_id."' ORDER BY `id` ASC");
	if($PAGINGS1 > 0)
	{
		while($row1 = mysql_fetch_array($PAGINGS1))
		{
		
		if($row1['uid1']==$use_id){
		$fr_count = mysql_result(mysql_query("SELECT (fr_id) FROM `users` WHERE `id`='".$row1['uid2']."';"), 0);
		if($fr_count==$fr){
		echo '<div class="conts">Война с игроком '.rasa($row1['rasa2']).' <a href="../p/anketa.php?id='.$row1['uid2'].'"><span class="'.crasa($row1['rasa2']).'">'.$row1['login2'].'</span></a> прекращена так как вы теперь являетесь союзниками по фракции</div>';
		mysql_query("UPDATE `sosed` SET `war`=0 WHERE `uid2`='".$row1['uid2']."' AND `uid1`='".$use_id."';");
		mysql_query("UPDATE `planet_loc` SET `uid`='".$row1['uid2']."', `occupy`=0 WHERE `planet_id`='".$row1['planet']."' AND `uid`='".$row1['uid1']."';");
		mysql_query("INSERT INTO `doklad` SET `uid`='".$row1['uid2']."', `time`='" . time() . "', `type`=4, `text`='Советом фракции заключено перемирие между вашей планетой <b>".$row1['name']."</b> и игроком <b>".$row1['login1']."</b> так как вы теперь являетесь союзниками по фракции';");
		mysql_query("DELETE FROM `war` WHERE `id`='".$row1['id']."';");

		}}
		if($row1['uid2']==$use_id){
		$fr_count = mysql_result(mysql_query("SELECT (fr_id) FROM `users` WHERE `id`='".$row1['uid1']."';"), 0);
		if($fr_count==$fr){
		echo '<div class="conts">Война с игроком '.rasa($row1['rasa1']).' <a href="../p/anketa.php?id='.$row1['uid1'].'"><span class="'.crasa($row1['rasa1']).'">'.$row1['login1'].'</span></a> прекращена так как вы теперь являетесь союзниками по фракции</div>';
		mysql_query("UPDATE `sosed` SET `war`=0 WHERE `uid2`='".$row1['uid2']."' AND `uid1`='".$use_id."';");
		mysql_query("UPDATE `planet_loc` SET `uid`='".$row1['uid2']."', `occupy`=0 WHERE `planet_id`='".$row1['planet']."' AND `uid`='".$row1['uid1']."';");
		mysql_query("INSERT INTO `doklad` SET `uid`='".$row1['uid1']."', `time`='" . time() . "', `type`=4, `text`='Советом фракции заключено перемирие между вами и планетой <b>".$row1['name']."</b> игрока <b>".$row1['login2']."</b> так как вы теперь являетесь союзниками по фракции';");
		mysql_query("DELETE FROM `war` WHERE `id`='".$row1['id']."';");
		}}
		}}
						}else{
	echo '<div class="conts">Превышен лимит мест в составе этой фракции. Приглашение автоматически отклонено!</div>';					
	mysql_query("UPDATE `users` SET `fr`=0, `fr_id`=0, `fr_name`='' WHERE `id` = '".$use_id."'");	

						}}
	break;

	case 'no';
	if($fr!=0){
	echo '<div class="top"><img src="../images/fr.png" alt="" /> Фракция <u>'.$f['name'].'</u></div>';
	echo '<div class="conts">Вы отказались принять приглашение и не вошли в состав фракции <a href="fraction.php?f='.$fr.'">'.$fr_name.'</a></div>';
	mysql_query("UPDATE `users` SET `fr`=0, `fr_id`=0, `fr_name`='' WHERE `id` = '".$use_id."'");}
	break;
	case 'off':
	if($fr_name!='' AND $f['uid']!=$use_id){
	echo '<div class="top"><img src="../images/fr.png" alt="" /> Фракция <u>'.$fr_name.'</u></div>';
				echo '<div class="conts">';		
										$wb=$_GET['o'];
		if($wb!=1){
							echo 'Вы уверены что хотите покинуть фракцию <a href="fraction.php?f='.$fr_id.'">'.$fr_name.'</a>?<br/>';
							echo '<a href="?act=off&amp;o=1">Да</a> или <a href="fraction.php?f='.$fr_id.'">Отмена</a><br/>';
							}else{
echo 'Вы покинули фракцию '.$fr_name.'!<br/>';	
mysql_query("UPDATE `fractions` SET `num`=num-1 WHERE `id`='".$fr_id."';");
mysql_query("UPDATE `users` SET `fr`=0, `fr_id`=0, `fr_name`='' WHERE `id` = '".$use_id."'");
mysql_query("UPDATE `planet` SET `fr_id`=0 WHERE `uid` = '".$use_id."'");
mysql_query("UPDATE `army` SET `fr_id`=0 WHERE `uid` = '".$use_id."'");	
mysql_query("UPDATE `sosed` SET `fr_id`=0 WHERE `uid2` = '".$use_id."'");	
mysql_query("UPDATE `sector_loc` SET `fr_id`=0 WHERE `uid` = '".$use_id."'");
mysql_query("DELETE FROM `fractions_users` WHERE `uid`='" . mysql_real_escape_string($use_id) . "';");	
							}
				echo '</div>';
						}
		}
	}
		
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>